PROGRAM calculator
	IMPLICIT NONE

	REAL:: h, x, y, z
	CHARACTER:: c

	DO
		WRITE(*,*)
		WRITE(*,*) 'Please enter calculation operation (+,-,*,:, "c" for cirlce area, "p" for prism, "q" quit):'
		READ(*,*) c
		WRITE(*,*)

	IF(c == '+'.OR.c=='-'.OR.c=='*'.OR.c==':') THEN
		WRITE(*,*) 'Please enter real values for x and y:'
		READ(*,*) x, y
	ELSE IF(c == 'c') THEN
		WRITE(*,*) 'Please enter real values for diameter:'
		READ(*,*) x
	ELSE IF(c == 'p') THEN
		WRITE(*,*) 'Please enter real values for a, b and height h:'
		READ(*,*) x, y, h
	ELSE IF(c == 'q') THEN
		EXIT
	ELSE
		WRITE(*,*) 'No permitted calculation operation entered.'
	END IF

		SELECT CASE(c)
			CASE('+')
				z = x + y
				WRITE(*,*) x ,'+', y, '=', z
			CASE('-')
				z = x - y
				WRITE(*,*) x ,'-', y, '=', z
			CASE('*')
				z = x*y
				WRITE(*,*) x ,'*', y, '=', z
			CASE(':')
				IF (y/=0) THEN
					z = x/y
					WRITE(*,*) x ,':', y, '=', z
				ELSE
					WRITE(*,*) 'Dividing by zero is not permitted.'
				END IF
			CASE('c')
				WRITE(*,*) 'The area is', area(x)
			CASE('p')
				CALL cuboid(x, y, h)
			CASE DEFAULT
				EXIT
		END SELECT
	END DO

CONTAINS

		FUNCTION area(d)
			REAL, INTENT(IN):: d
			REAL:: area, pi = 3.14159265359
			area = pi*d**2/4
		END FUNCTION

		SUBROUTINE cuboid(a, b, h)
				REAL, INTENT(IN):: a, b, h
				WRITE(*,*) 'Volumen of the cuboid:', a*b*h
				WRITE(*,*) 'Area of the cuboid:', 2*(a*b + a*h + b*h)
		END SUBROUTINE

END PROGRAM calculator
